d9ce74c9310f90a8d631e048499434cc6b954f6d
max
  Wed Mar 1 06:07:32 2023 -0800
finally fixing various old uniprot bugs that stopped the update in January and October: now stops if an error occurs, working around a symlink permissions problem, making the release message easier to read, ML ticket, refs #30701

diff --git src/hg/utils/otto/uniprot/doUpdate.sh src/hg/utils/otto/uniprot/doUpdate.sh
index f9534bb..04cab75 100755
--- src/hg/utils/otto/uniprot/doUpdate.sh
+++ src/hg/utils/otto/uniprot/doUpdate.sh
@@ -1,11 +1,18 @@
 #!/bin/sh
 # configuration setup for the doUniprot script
 cd /hive/data/outside/otto/uniprot
 #echo WARNING: NOT DOWNLOADING
 #./doUniprot run --skipDownload
-./doUniprot run  2> lastRun.log
-if [ $? == "0" ] ; then
-    echo Big Uniprot update OK.
+# activate a virtual python environment with the lxml XML parser
+source venv/bin/activate
+umask 002 
+echo uniprot start at `date`
+./doUniprot run > lastRun.log 2>&1
+echo uniprot end at `date`
+exitCode=$?
+if [ $exitCode -eq 0 ] ; then
+    echo Big Uniprot update OK, exit code $exitCode
 else
-    echo Big Uniprot update failed. Look at /hive/data/outside/otto/uniprot/lastRun.log and restart manually.
+    echo Big Uniprot update failed. Look at /hive/data/outside/otto/uniprot/lastRun.log and restart manually with: cd /hive/data/outside/otto/uniprot followed by ./doUniprot run, usually with the -p option to skip download and parsing of the gigantic XML.
+    echo Exit code was: $exitCode
 fi